React Bootstrap Buttons

React Buttons - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap buttons are components which are triggering a desirable user interaction. Easy to customize in terms of size, shape, and color.

Basic examples

Bootstrap includes several predefined button styles, each serving its own semantic purpose, with a few extras thrown in for more control.

        
            
        import React, { Fragment } from "react";
        import { MDBBtn } from "mdbreact";

        const ButtonPage = () => {
          return (
            <Fragment>
              <MDBBtn color="primary">Primary</MDBBtn>
              <MDBBtn>Default</MDBBtn>
              <MDBBtn color="secondary">Secondary</MDBBtn>
              <MDBBtn color="success">Success</MDBBtn>
              <MDBBtn color="info">Info</MDBBtn>
              <MDBBtn color="warning">Warning</MDBBtn>
              <MDBBtn color="danger">Danger</MDBBtn>
            </Fragment>
          );
        }

        export default ButtonPage;
        
        
    

Additional styles

MDBootstrap includes several predefined button styles, each serving its own semantic purpose, with a few extras thrown in for more control.

        
            
        import React, { Fragment } from "react";
        import { MDBBtn } from "mdbreact";

        const ButtonPage = () => {
          return (
            <Fragment>
              <MDBBtn color="elegant">Elegant</MDBBtn>
              <MDBBtn color="unique">Unique</MDBBtn>
              <MDBBtn color="pink">Pink</MDBBtn>
              <MDBBtn color="purple">Purple</MDBBtn>
              <MDBBtn color="deep-purple">Deep-purple</MDBBtn>
              <MDBBtn color="indigo">Indigo</MDBBtn>
              <MDBBtn color="light-blue">Light blue</MDBBtn>
              <MDBBtn color="cyan">Cyan</MDBBtn>
              <MDBBtn color="dark-green">Dark-green</MDBBtn>
              <MDBBtn color="light-green">Light-green</MDBBtn>
              <MDBBtn color="yellow">Yellow</MDBBtn>
              <MDBBtn color="amber">Amber</MDBBtn>
              <MDBBtn color="deep-orange">Deep-orange</MDBBtn>
              <MDBBtn color="brown">Brown</MDBBtn>
              <MDBBtn color="blue-grey">Blue-grey</MDBBtn>
              <MDBBtn color="mdb-color">MDB</MDBBtn>
            </Fragment>
          );
        }

        export default ButtonPage;        
        
        
    

Gradient buttons

Check our documentation about gradients.

        
            
        import React, { Fragment } from "react";
        import { MDBBtn } from "mdbreact";

        const ButtonPage = () => {
          return (
            <Fragment>
              <MDBBtn gradient="peach">Peach</MDBBtn>
              <MDBBtn gradient="purple">Purple</MDBBtn>
              <MDBBtn gradient="blue">Blue</MDBBtn>
              <MDBBtn gradient="aqua">Aqua</MDBBtn>
            </Fragment>
          );
        }

        export default ButtonPage;        
        
        
    

Outline buttons

In need of a button, but not the hefty background colors they bring? outline property removes all background images and colors on any button.

        
            
        import React, { Fragment } from "react";
        import { MDBBtn } from "mdbreact";

        const ButtonPage = () => {
          return (
            <Fragment>
              <MDBBtn outline color="primary">Primary</MDBBtn>
              <MDBBtn outline>Default</MDBBtn>
              <MDBBtn outline color="secondary">Secondary</MDBBtn>
              <MDBBtn outline color="success">Success</MDBBtn>
              <MDBBtn outline color="info">Info</MDBBtn>
              <MDBBtn outline color="warning">Warning</MDBBtn>
              <MDBBtn outline color="danger">Danger</MDBBtn>
            </Fragment>
          );
        }

        export default ButtonPage;        
        
        
    

Waves effect with outline buttons

MDB automatically adds waves effect to each element with .btn class. However, in outline buttons, it's barely visible due to lack of background.

That's why to outline buttons we add additional class .waves-effect to make waves darker and more intense.


Rounded buttons MDB Pro component

        
            
        import React, { Fragment } from "react";
        import { MDBBtn } from "mdbreact";

        const ButtonPage = () => {
          return (
            <Fragment>
              <MDBBtn color="primary" rounded>Primary</MDBBtn>
              <MDBBtn rounded>Default</MDBBtn>
              <MDBBtn rounded color="secondary">Secondary</MDBBtn>
              <MDBBtn rounded color="success">Success</MDBBtn>
              <MDBBtn rounded color="info">Info</MDBBtn>
              <MDBBtn rounded color="warning">Warning</MDBBtn>
              <MDBBtn rounded color="danger">Danger</MDBBtn>
            </Fragment>
          );
        }

        export default ButtonPage;        
        
        
    

Rounded outline buttons MDB Pro component

        
            
        import React, { Fragment } from "react";
        import { MDBBtn } from "mdbreact";

        const ButtonPage = () => {
          return (
            <Fragment>
              <MDBBtn color="primary" outline rounded>Primary</MDBBtn>
              <MDBBtn rounded outline>Default</MDBBtn>
              <MDBBtn rounded outline color="secondary">Secondary</MDBBtn>
              <MDBBtn rounded outline color="success">Success</MDBBtn>
              <MDBBtn rounded outline color="info">Info</MDBBtn>
              <MDBBtn rounded outline color="warning">Warning</MDBBtn>
              <MDBBtn rounded outline color="danger">Danger</MDBBtn>
            </Fragment>
          );
        }

        export default ButtonPage;        
        
        
    

Floating buttons MDB Pro component

        
            
          import React, { Fragment } from "react";
          import { MDBBtn, MDBIcon } from "mdbreact";

          const ButtonPage = () => {
            return (
              <Fragment>
                <MDBBtn tag="a" size="lg" floating gradient="purple">
                  <MDBIcon icon="bolt" />
                </MDBBtn>
                <MDBBtn tag="a" floating gradient="peach">
                  <MDBIcon icon="leaf" />
                </MDBBtn>
                <MDBBtn tag="a" size="sm" floating gradient="blue">
                  <MDBIcon icon="star" />
                </MDBBtn>
              </Fragment>
            );
          }

          export default ButtonPage;        
        
        
    

Fixed buttons MDB Pro component

See the live example of fixed button in the bottom right corner of this page.

        
            
        import React, { Component } from "react";
        import { MDBBtnFixed, MDBBtnFixedItem } from "mdbreact";

        class ButtonPage extends Component {

          state = {
            buttonStyle: {
              transform: "scaleY(0.4) scaleX(0.4) translateY(40px) translateX(0)",
              opacity: "0"
            }
          }


          onHover = () => {
            this.setState({
              buttonStyle: {
                transform: "scaleY(1) scaleX(1) translateY(0) translateX(0)",
                opacity: "1"
              }
            });
          }

          onMouseLeave = () => {
            this.setState({
              buttonStyle: {
                transform: "scaleY(0.4) scaleX(0.4) translateY(40px) translateX(0)",
                opacity: "0"
              }
            });
          }

          render() {
            return (
              <section style={{ height: "1000px" }}>
                <MDBBtnFixed
                  onMouseEnter={this.onHover}
                  onMouseLeave={this.onMouseLeave}
                  floating
                  size="lg"
                  color="red"
                  icon="pencil-alt"
                  style={{ bottom: "45px", right: "24px" }}
                >
                  <MDBBtnFixedItem
                    buttonStyle={this.state.buttonStyle}
                    color="red"
                    icon="star"
                  />
                  <MDBBtnFixedItem
                    buttonStyle={this.state.buttonStyle}
                    color="yellow"
                    icon="user"
                  />
                  <MDBBtnFixedItem
                    buttonStyle={this.state.buttonStyle}
                    color="green"
                    icon="envelope"
                  />
                  <MDBBtnFixedItem
                    buttonStyle={this.state.buttonStyle}
                    color="blue"
                    icon="shopping-cart"
                  />
                </MDBBtnFixed>
              </section>
            );
          }
        }

        export default ButtonPage;

        
        
    

Flat button MDB Pro component

        
            
        import React from "react";
        import { MDBBtn } from "mdbreact";

        const ButtonPage = () => {
          return (
            <MDBBtn flat>Flat MDBBtn</MDBBtn>
          );
        }

        export default ButtonPage;
        
        
    

Buttons with icons

        
            
        import React, { Fragment } from "react";
        import { MDBBtn, MDBIcon } from "mdbreact";

        const ButtonPage = () => {
          return (
            <Fragment>
              <MDBBtn color="primary">
                <MDBIcon icon="magic" className="mr-1" /> Left
              </MDBBtn>
              <MDBBtn color="default">
                Right <MDBIcon icon="magic" className="ml-1" />
              </MDBBtn>
            </Fragment>
          );
        }

        export default ButtonPage;        
        
        
    

Button tags

The <MDBBtn> component are designed to be used as a <button> element. However, you can also use it as <a> element (though some browsers may apply a slightly different rendering), just add tag="a" prop.

When using <MDBBtn> component as <a> elements that are used to trigger in-page functionality (like collapsing content), rather than linking to new pages or sections within the current page, these links should be given a role="button" prop to appropriately convey their purpose to assistive technologies such as screen readers.

        
            
          import React from "react";
          import { MDBBtn } from "mdbreact";

          const ButtonPage = () => {
            return (
              <>
                <MDBBtn tag="a" role="button" color="primary">LINK</MDBBtn>
                <MDBBtn tag="span" color="primary">SPAN</MDBBtn>
              </>
            );
          }

          export default ButtonPage;        
        
        
    


Sizes

Fancy larger or smaller buttons? Add size property for additional sizes.

        
            
          import React, { Fragment } from "react";
          import { MDBBtn } from "mdbreact";

          const ButtonPage = () => {
            return (
              <Fragment>
                <MDBBtn color="primary" size="lg">Large button</MDBBtn>
                <MDBBtn color="mdb-color">Normal button</MDBBtn>
                <MDBBtn color="dark-green" size="sm">Small button</MDBBtn>
              </Fragment>
            );
          }

          export default ButtonPage;        
        
        
    

Active state

Buttons will appear pressed (with a darker background, darker border, and inset shadow) when active. You can force the same active appearance with active prop.

        
            
          import React, { Fragment } from "react";
          import { MDBBtn } from "mdbreact";

          const ButtonPage = () => {
            return (
              <Fragment>
                <MDBBtn active color="primary">Active Button</MDBBtn>
                <MDBBtn color="primary">Button</MDBBtn>
              </Fragment>
            );
          }

          export default ButtonPage;        
        
        
    

Disabled state

Make buttons look inactive by adding the disabled boolean prop to any <MDBBtn> component.

        
            
          import React, { Fragment } from "react";
          import { MDBBtn } from "mdbreact";

          const ButtonPage = () => {
            return (
              <Fragment>
                <MDBBtn color="primary" disabled size="lg">Primary button</MDBBtn>
                <MDBBtn color="default" disabled size="lg">Default button</MDBBtn>
              </Fragment>
            );
          }

          export default ButtonPage;
        
        
    

React Buttons - API

In this section you will find advanced information about the Buttons component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
          import { MDBBtn, MDBIcon, MDBBtnFixed, MDBBtnFixedItem } from "mdbreact";
          
        
    

API Reference: Button Properties

The table below shows the configuration options of the MDBBtn component.

Name Type Default Description Example
action Boolean false Adds btn-action class, works with Cards <MDBBtn action >
active Boolean false Adds active class <MDBBtn active >
block Boolean false Create block level buttons <MDBBtn block >
circle Boolean false Adds btn-circle class, works with stepper <MDBBtn circle >
className String Adds custom classes <MDBBtn className="customClass" >
color String default Determines button color, accepts MDB predefined color classes <MDBBtn color="primary" >
disabled Boolean false Disables button from being clicked <MDBBtn disabled >
download String Adds download attribute with provided url <MDBBtn download="https://link_to_your_file.com" >
flat Boolean false Adds flat effect to button - button without backgorund and borders <MDBBtn flat >
floating Boolean false Adds floating effect to button <MDBBtn floating >
gradient String Adds gradient background to button, accepts MDB predefined gradients <MDBBtn gradient="peach" >
href String Adds href attribute with provided url and converts <button> tag into <a> tag <MDBBtn href="..." >
innerRef Object Allows to pass Ref object, which will attach to rendered button or a DOM element <MDBBtn innerRef={this.buttonRef} >
outline Boolean false Renders button with outline, color property determines outline color <MDBBtn outline >
role String button Adds role attribute to button <MDBBtn role="..." >
rounded Boolean false Adds rounded corners effect to button <MDBBtn rounded >
size String medium Determines button size, available values: [sm, lg], medium by default <MDBBtn size="lg" >
social String Sets background color <MDBBtn social="fb" >
tag String button Changes default tag <MDBBtn tag="a" >
target String _self If used as link, sets target attribute <MDBBtn href="..." target="_blank" >
type String button Adds type attribute to button <MDBBtn type="submit" >

API Reference: ButtonFixed Properties

The table below shows the configuration options of the MDBBtnFixed component.

Name Type Default Description Example
active Boolean false Adds active class <MDBBtnFixed active >
block Boolean false Create block level buttons <MDBBtnFixed block >
className String Adds custom classes <MDBBtnFixed className="customClass" >
color String default Determines button color, accepts MDB predefined color classes <MDBBtnFixed color="primary" >
disabled Boolean false Disables button from being clicked <MDBBtnFixed disabled >
flat Boolean false Adds flat effect to button - button without background and borders <MDBBtnFixed flat >
floating Boolean false Adds floating effect to button <MDBBtnFixed floating >
gradient String Adds gradient background to button, accepts MDB predefined gradients <MDBBtnFixed gradient="peach" >
icon String Adds font-awesome icon <MDBBtnFixed icon="caret-right" />
iconBrand Boolean false Use this property to set brand icon (fab) <MDBBtnFixed icon="twitter" iconBrand />
iconClassName String Adds custom classes to icon element <MDBBtnFixed icon="envelope" iconClassName="customClass" />
iconLight Boolean false Use this property to set light icon (fal) <MDBBtnFixed icon="twitter" iconLight />
iconRegular Boolean false Use this property to set regular icon (far) <MDBBtnFixed icon="twitter" iconRegular />
iconSize String Sets icon size <MDBBtnFixed icon="pencil-alt" size="5x" />
innerRef Object Allows to pass Ref object, which will attach to rendered button or a DOM element <MDBBtnFixed innerRef={this.buttonRef} >
outline Boolean false Renders button with outline, color property determines outline color <MDBBtnFixed outline >
role String button Adds role attribute to button <MDBBtnFixed role="..." >
rounded Boolean false Adds rounded corners effect to button <MDBBtnFixed rounded >
size String medium Determines button size, available values: [sm, lg], medium by default <MDBBtnFixed size="lg" >
topSection String # Sets url to your top section <MDBBtnFixed topSection="#introduction" >
type String button Adds type attribute to button <MDBBtnFixed type="submit" >

API Reference: ButtonFixedItem Properties

The table below shows the configuration options of the MDBBtnFixedItem component.

Name Type Default Description Example
active Boolean false Adds active class <MDBBtnFixedItem active >
block Boolean false Create block level buttons <MDBBtnFixedItem block >
buttonStyle String Adds custom styling (component requires that because it is nested into list) <MDBBtnFixedItem buttonStyle={{ border-color: "black" }} >
className String Adds custom classes <MDBBtnFixedItem className="customClass" >
color String default Determines button color, accepts MDB predefined color classes <MDBBtnFixedItem color="primary" >
disabled Boolean false Disables button from being clicked <MDBBtnFixedItem disabled >
flat Boolean false Adds flat effect to button - button without background and borders <MDBBtnFixedItem flat >
floating Boolean false Adds floating effect to button <MDBBtnFixedItem floating >
gradient String Adds gradient background to button, accepts MDB predefined gradients <MDBBtnFixedItem gradient="peach" >
icon String Adds font-awesome icon <MDBBtnFixedItem icon="caret-right" />
iconBrand Boolean false Use this property to set brand icon (fab) <MDBBtnFixedItem icon="twitter" iconBrand />
iconClassName String Adds custom classes to icon element <MDBBtnFixedItem icon="envelope" iconClassName="customClass" />
iconLight Boolean false Use this property to set light icon (fal) <MDBBtnFixedItem icon="twitter" iconLight />
iconRegular Boolean false Use this property to set regular icon (far) <MDBBtnFixedItem icon="twitter" iconRegular />
iconSize String Sets icon size <MDBBtnFixedItem icon="pencil-alt" size="5x" />
innerRef Object Allows to pass Ref object, which will attach to rendered button or a DOM element <MDBBtnFixedItem innerRef={this.buttonRef} >
outline Boolean false Renders button with outline, color property determines outline color <MDBBtnFixedItem outline >
role String button Adds role attribute to button <MDBBtnFixedItem role="..." >
rounded Boolean false Adds rounded corners effect to button <MDBBtnFixedItem rounded >
size String medium Determines button size, available values: [sm, lg], medium by default <MDBBtnFixedItem size="lg" >
type String button Adds type attribute to button <MDBBtnFixedItem type="submit" >

Vue Bootstrap Buttons

Vue Buttons - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Use Vue Bootstrap custom button styles for actions in forms, dialogs, and more. Includes support for a handful of contextual variations, sizes, states, and more.


Basic buttons

MDB includes 7 predefined button styles, each serving its own semantic purpose.

        
            
                <template>
                    <div>
                        <!-- Provides extra visual weight and identifies the primary action in a set of buttons -->
                        <mdb-btn color="primary">Primary</mdb-btn>

                        <!-- Default button -->
                        <mdb-btn color="default">Default</mdb-btn>

                        <!-- Secondary button -->
                        <mdb-btn color="secondary">Secondary</mdb-btn>

                        <!-- Indicates a successful or positive action -->
                        <mdb-btn color="success">Success</mdb-btn>

                        <!-- Contextual button for informational alert messages -->
                        <mdb-btn color="info">Info</mdb-btn>

                        <!-- Indicates caution should be taken with this action -->
                        <mdb-btn color="warning">Warning</mdb-btn>

                        <!-- Indicates a dangerous or potentially negative action -->
                        <mdb-btn color="danger">Danger</mdb-btn>
                    </div>    
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    } 
                </script>
              
        
    

Conveying meaning to assistive technologies

Using color to add meaning to a button only provides a visual indication, which will not be conveyed to users of assistive technologies – such as screen readers. Ensure that information denoted by the color is either obvious from the content itself (the visible text of the button), or is included through alternative means, such as additional text hidden with the .sr-only class.


Additional buttons

MDBootstrap Vue includes several predefined button styles, each serving its own semantic purpose, with a few extras thrown in for more control.

        
            
                <template>
                    <div>
                        <!--Elegant-->
                        <mdb-btn color="elegant">Elegant</mdb-btn>

                        <!--Unique-->
                        <mdb-btn color="unique">Unique</mdb-btn>

                        <!--Pink-->
                        <mdb-btn color="pink">Pink</mdb-btn>

                        <!--Purple-->
                        <mdb-btn color="purple">Purple</mdb-btn>

                        <!--Deep-purple-->
                        <mdb-btn color="deep-purple">Deep-purple</mdb-btn>

                        <!--Indigo-->
                        <mdb-btn color="indigo">Indigo</mdb-btn>

                        <!--Light blue-->
                        <mdb-btn color="light-blue">Light blue</mdb-btn>

                        <!--Cyan-->
                        <mdb-btn color="cyan">Cyan</mdb-btn>

                        <!--Dark-green-->
                        <mdb-btn color="dark-green">Dark-green</mdb-btn>

                        <!--Light-green-->
                        <mdb-btn color="light-green">Light-green</mdb-btn>

                        <!--Yellow-->
                        <mdb-btn color="yellow">Yellow</mdb-btn>

                        <!--Amber-->
                        <mdb-btn color="amber">Amber</mdb-btn>

                        <!--Deep-orange-->
                        <mdb-btn color="deep-orange">Deep-orange</mdb-btn>

                        <!--Brown-->
                        <mdb-btn color="brown">Brown</mdb-btn>

                        <!--Blue-grey-->
                        <mdb-btn color="blue-grey">Blue-grey</mdb-btn>

                        <!--MDB-->
                        <mdb-btn color="mdb-color">MDB</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    } 
                </script>
              
        
    

Gradient buttons MDB Pro component

Use a gradient in the button to give it a unique touch.

        
            
                <template>
                    <div>
                        <mdb-btn gradient="peach" rounded>Peach gradient button</mdb-btn>
                        <mdb-btn gradient="purple" rounded>Purple gradient button</mdb-btn>
                        <mdb-btn gradient="blue" rounded>Blue gradient button</mdb-btn>
                        <mdb-btn gradient="aqua" rounded>Aqua gradient button</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    } 
                </script>
              
        
    

Outline buttons

In need of a button, but not the hefty background colors they bring? Replace the default modifier classes with the outline ones to remove all background images and colors on any button.

        
            
                <template>
                    <div>
                        <mdb-btn outline="primary">Primary</mdb-btn>
                        <mdb-btn outline="default">Default</mdb-btn>
                        <mdb-btn outline="secondary">Secondary</mdb-btn>
                        <mdb-btn outline="success">Success</mdb-btn>
                        <mdb-btn outline="info">Info</mdb-btn>
                        <mdb-btn outline="warning">Warning</mdb-btn>
                        <mdb-btn outline="danger">Danger</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    } 
                </script>
              
        
    

Rounded buttons MDB Pro component

Add .btn.rounded class to make the button rounded.

        
            
                <template>
                    <div>
                        <mdb-btn color="primary" rounded>Primary rounded button</mdb-btn>
                        <mdb-btn color="default" rounded>Default rounded button</mdb-btn>
                        <mdb-btn color="secondary" rounded>Secondary rounded button</mdb-btn>
                        <mdb-btn color="success" rounded>Success rounded button</mdb-btn>
                        <mdb-btn color="info" rounded>Info rounded button</mdb-btn>
                        <mdb-btn color="warning" rounded>Warning rounded button</mdb-btn>
                        <mdb-btn color="danger" rounded>Danger rounded button</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    } 
                </script>
              
        
    

Rounded outline buttons MDB Pro component

You can use .btn.outline-* and .btn.rounded together to make the button outline and rounded at the same time.

        
            
                <template>
                    <div>
                        <mdb-btn outline="primary" darkWaves rounded>Primary outline button</mdb-btn>
                        <mdb-btn outline="default" darkWaves rounded>Default outline button</mdb-btn>
                        <mdb-btn outline="secondary" darkWaves rounded>Secondary outline button</mdb-btn>
                        <mdb-btn outline="success" darkWaves rounded>Success outline button</mdb-btn>
                        <mdb-btn outline="info" darkWaves rounded>Info outline button</mdb-btn>
                        <mdb-btn outline="warning" darkWaves rounded>Warning outline button</mdb-btn>
                        <mdb-btn outline="danger" darkWaves rounded>Danger outline button</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    } 
                </script>
              
        
    

Floating buttons MDB Pro component

Use .btn.floating class to make a circle button.

        
            
                <template>
                    <div>
                        <mdb-btn tag="a" gradient="purple" floating size="lg"><mdb-icon icon="bolt"/></mdb-btn>
                        <mdb-btn tag="a" gradient="peach" floating><mdb-icon icon="leaf"/></mdb-btn>
                        <mdb-btn tag="a" gradient="blue" floating size="sm"><mdb-icon icon="star"/></mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    } 
                </script>
              
        
    

See the full list of available icons and colors for your buttons.


Fixed buttons MDB Pro component

See the live example of fixed button in the bottom right corner of this page.

        
            
                <template>
                    <mdb-btn-fixed @mouseenter.native="hover" @mouseleave.native="hoverOut" icon="pencil" size="lg" :bottom="30" :right="25">
                        <mdb-btn-fixed-item :show="show" color="red" icon="star"/>
                        <mdb-btn-fixed-item :show="show" color="yellow" icon="user"/>
                        <mdb-btn-fixed-item :show="show" color="green" icon="envelope"/>
                        <mdb-btn-fixed-item :show="show" color="blue" icon="shopping-cart"/>
                    </mdb-btn-fixed>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn, mdbBtnFixed, mdbBtnFixedItem } from 'mdbvue';
                    export default {
                        data() {
                            return {
                                show: false
                            };
                        },
                        name: 'ButtonPage',
                        components: {
                            mdbBtn,
                            mdbBtnFixed,
                            mdbBtnFixedItem
                            },
                        methods: {
                            hover() {
                                this.show = true;
                            },
                            hoverOut() {
                                this.show = false;
                            }
                        }
                    }
                </script>
              
        
    

"Back to the top" button

"Back to the top" button is very useful with the long pages, especially on the mobile devices.

Click the button below to see the live example.

Live example
        
            
                <template>
                    <mdb-btn-fixed @click.native.prevent="pageUp" color="blue" icon="arrow-up" size="lg" :bottom="30" :right="105"/>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtnFixed } from 'mdbvue';
                    export default {
                        data() {
                            return {
                                active: false
                            };
                        },
                        name: 'ButtonPage',
                        components: {
                            mdbBtnFixed
                        },
                        methods: {
                            pageUp() {
                                window.scroll({top: 0, left: 0, behavior: 'smooth'});
                            }
                        }
                    };
                </script>
              
        
    

Flat button MDB Pro component

        
            
                <template>            
                    <mdb-btn flat size="lg" darkWaves>Click me</mdb-btn>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    }
                </script>
              
        
    

Buttons with icons

Note: To set the desired distance between icon and text use spacing utilities (for example .ml-1, .mr-2).

        
            
                <template>
                    <div>
                        <mdb-btn color="primary"><mdb-icon icon="magic" class="mr-1"/> Left</mdb-btn>
                        <mdb-btn color="default">Right <mdb-icon icon="magic" class="ml-1"/></mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    }
                </script>
              
        
    

See the full list of available icons for your buttons.


Button tags

The .btn classes are designed to be used with the <button> element. However, you can also use these classes on <a> elements (though some browsers may apply a slightly different rendering).

When using button classes on <a> elements that are used to trigger in-page functionality (like collapsing content), rather than linking to new pages or sections within the current page, these links should be given a role="button" to appropriately convey their purpose to assistive technologies such as screen readers.

Link
        
            
                <template>
                    <div>
                        <mdb-btn tag="a" role="button" color="primary" href="#">Link</mdb-btn>
                        <mdb-btn color="primary" type="submit">Button</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    }
                </script>
              
        
    

Sizes

Fancy larger or smaller buttons? Add size="lg" or size="sm" for additional sizes.

        
            
                <template>
                    <div>
                        <mdb-btn size="lg" color="primary">Large button</mdb-btn>
                        <mdb-btn size="lg" color="default">Large button</mdb-btn>
                    </div>
                <template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    }
                </script>
              
        
    
        
            
                <template>
                    <div>
                        <mdb-btn size="sm" color="primary">Small button</mdb-btn>
                        <mdb-btn size="sm" color="default">Small button</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    }
                </script>
              
        
    

Create block level buttons—those that span the full width of a parent—by adding block.

        
            
                <template>
                    <div>
                        <mdb-btn block color="default">Block level button</mdb-btn>
                        <mdb-btn block color="primary">Block level button</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    }
                </script>
              
        
    

Button states

Active state

btns will appear pressed (with a darker background, darker border, and inset shadow) when active. There’s no need to add a class to <btn>s as they use a pseudo-class. However, you can still force the same active appearance with active should you need to replicate the state programmatically.

Link active
        
            
                <template>
                    <div>
                        <mdb-btn active size="lg" color="primary">btn active</mdb-btn>
                        <mdb-btn tag="a" role="button" active size="lg" href="#">btn active</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    }
                </script>
              
        
    

Disabled state

Make buttons look inactive by adding the disabled boolean attribute to any <btn> element.

        
            
                <template>
                    <div>
                        <mdb-btn disabled size="lg" color="primary">Primary button</mdb-btn>
                        <mdb-btn disabled size="lg" color="default">Button</mdb-btn>
                    </div>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        }
                    }
                </script>
              
        
    

Link functionality caveat

The .disabled class uses pointer-events: none to try to disable the link functionality of <a>s, but that CSS property is not yet standardized. In addition, even in browsers that do support pointer-events: none, keyboard navigation remains unaffected, meaning that sighted keyboard users and users of assistive technologies will still be able to activate these links. So to be safe, add a tabindex="-1" attribute on these links (to prevent them from receiving keyboard focus) and use custom JavaScript to disable their functionality.


Button plugin

Do more with buttons. Control button states or create groups of buttons for more components like toolbars.

Toggle states

        
            
                <template>
                    <mdb-btn color="primary" @click.native="toggleActiveState" :active="active">Single Toggle</mdb-btn> 
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn } from 'mdbvue';
                    export default {
                        data() {
                            return {
                                active: false,
                            };
                        },
                        name: 'ButtonPage',
                        components: {
                            mdbBtn
                        },
                        methods: {
                            toggleActiveState() {
                                this.active = !this.active;
                            }
                        }
                    }
                </script>
              
        
    

Checkbox and radio buttons

        
            
                <template>
                    <mdb-btn-group>
                        <mdb-btn color="primary" @click.native="toggleActiveState2" :active="active2">Checkbox 1 (pre-checked)</mdb-btn>
                        <mdb-btn color="primary" @click.native="toggleActiveState3" :active="active3">Checkbox 2</mdb-btn>
                        <mdb-btn color="primary" @click.native="toggleActiveState4" :active="active4">Checkbox 3</mdb-btn>
                    </mdb-btn-group>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn, mdbBtnGroup } from 'mdbvue';
                    export default {
                        data() {
                            return {
                                active2: true,
                                active3: false,
                                active4: false
                            };
                        },
                        name: 'ButtonPage',
                        components: {
                            mdbBtn,
                            mdbBtnGroup
                        },
                        methods: {
                            toggleActiveState2() {
                                this.active2 = !this.active2;
                            },
                            toggleActiveState3() {
                                this.active3 = !this.active3;
                            },
                            toggleActiveState4() {
                                this.active4 = !this.active4;
                            }
                        }
                    }
                </script>
              
        
    
        
            
                <template>
                    <mdb-btn-group>
                        <mdb-btn color="primary" @click.native="toggleActiveState5" :active="active5">Radio 1 (preselected)</mdb-btn>
                        <mdb-btn color="primary" @click.native="toggleActiveState6" :active="active6">Radio 2</mdb-btn>
                        <mdb-btn color="primary" @click.native="toggleActiveState7" :active="active7">Radio 3</mdb-btn>
                    </mdb-btn-group>
                </template>
            
        
    
        
            
                <script>
                    import { mdbBtn, mdbBtnGroup } from 'mdbvue';
                    export default {
                        data() {
                            return {
                                active5: true,
                                active6: false,
                                active7: false
                            };
                        },
                        name: 'ButtonPage',
                        components: {
                            mdbBtn,
                            mdbBtnGroup
                        },
                        methods: {
                            toggleActiveState5() {
                                this.active5 = true;
                                this.active6 = false;
                                this.active7 = false;
                            },
                            toggleActiveState6() {
                                this.active5 = false;
                                this.active6 = true;
                                this.active7 = false;
                            },
                            toggleActiveState7() {
                                this.active5 = false;
                                this.active6 = false;
                                this.active7 = true;
                            }
                        }
                    }
                </script>
              
        
    

Vue Buttons - API

In this section you will find advanced information about the Button component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Import statement

        
            
      <script>
        import { mdbBtn, mdbBtnFixed, mdbBtnFixedItem, mdbBtnGroup, mdbIcon } from 'mdbvue';
      </script>
    
        
    

API Reference: Properties

Name Type Default Description Example
tag String 'button' Changes button tag <mdb-btn tag="a">
color String 'default' Determines button color <mdb-btn color="primary">
outline String Changes button outline color <mdb-btn outline="primary">
text String Allows for easier button customization with regards to button text color and more. Simply add a color from our palette omitting the -text postfix - it will be added for you - and you are all set <mdb-btn color="primary" text="secondary">
size String Determines button size <mdb-btn size="lg">
block Boolean false Create block level buttons <mdb-btn block>
role String Adds role attribute to button <mdb-btn role="...">
type String Adds type attribute to button <mdb-btn type="...">
active Boolean false Adds active class <mdb-btn active>
disabled Boolean false Adds disabled class <mdb-btn disabled>
icon String Adds icon inside button <mdb-btn icon="user">
iconLeft Boolean false Determines the position of icon <mdb-btn iconLeft>
iconRight Boolean false Determines the position of icon <mdb-btn iconRight>
gradient String Adds gradient effect to button <mdb-btn gradient="peach">
rounded Boolean false Adds rounded effect to button <mdb-btn rounded>
floating Boolean false Adds floating effect to button <mdb-btn floating>
flat Boolean false Adds flat effect to button <mdb-btn flat>
transparent Boolean false Makes button transparent <mdb-btn transparent>
save Boolean false Usuful for save button inside select <mdb-btn save>
iconClass String Changes icon's element class inside button <mdb-btn iconClass="..." >
iconColor String Changes icon's element color <mdb-btn iconColor="..." >